# ProductWarranty

ProductWarranty

## List product warranty terms

> List product warranty terms.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductWarranty","description":"ProductWarranty"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"ProductWarrantyListResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items","paging"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ProductWarrantySchema"}},"paging":{"$ref":"#/components/schemas/Paging"}}}}}}},"schemas":{"ProductWarrantySchema":{"title":"ProductWarranty","type":"object","required":["productWarrantyUid","name","terms","createdBy","createdAt","lastModifiedBy","lastModifiedAt"],"properties":{"productWarrantyUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"terms":{"type":"string"},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"},"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}}},"paths":{"/tenants/{tenantUid}/product-warranties":{"get":{"summary":"List product warranty terms","responses":{"200":{"$ref":"#/components/responses/ProductWarrantyListResponse"}},"operationId":"list-product-warranty","description":"List product warranty terms.","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"tags":["ProductWarranty"]}}}}
```

## Create product warranty terms

> Create new product warranty terms.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductWarranty","description":"ProductWarranty"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"ProductWarrantyResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductWarrantySchema"}}}}},"schemas":{"ProductWarrantySchema":{"title":"ProductWarranty","type":"object","required":["productWarrantyUid","name","terms","createdBy","createdAt","lastModifiedBy","lastModifiedAt"],"properties":{"productWarrantyUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"terms":{"type":"string"},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"}},"requestBodies":{"ProductWarrantyCreateRequest":{"content":{"application/json":{"schema":{"type":"object","required":["terms"],"properties":{"productWarrantyUid":{"$ref":"#/components/schemas/OptionalUID"},"name":{"type":"string"},"terms":{"type":"string"}}}}}}}},"paths":{"/tenants/{tenantUid}/product-warranties":{"post":{"summary":"Create product warranty terms","responses":{"201":{"$ref":"#/components/responses/ProductWarrantyResponse"}},"operationId":"post-product-warranty","description":"Create new product warranty terms.","tags":["ProductWarranty"],"requestBody":{"$ref":"#/components/requestBodies/ProductWarrantyCreateRequest"}}}}}
```

## Get product warranty terms

> Get a product warranty terms details.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductWarranty","description":"ProductWarranty"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"ProductWarrantyResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductWarrantySchema"}}}}},"schemas":{"ProductWarrantySchema":{"title":"ProductWarranty","type":"object","required":["productWarrantyUid","name","terms","createdBy","createdAt","lastModifiedBy","lastModifiedAt"],"properties":{"productWarrantyUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"terms":{"type":"string"},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/product-warranties/{productWarrantyUid}":{"get":{"summary":"Get product warranty terms","tags":["ProductWarranty"],"responses":{"200":{"$ref":"#/components/responses/ProductWarrantyResponse"}},"operationId":"get-product-warranty","description":"Get a product warranty terms details."}}}}
```

## Update product warranty terms

> Update a product warranty terms.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductWarranty","description":"ProductWarranty"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"ProductWarrantyResponse":{"description":"Example response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductWarrantySchema"}}}}},"schemas":{"ProductWarrantySchema":{"title":"ProductWarranty","type":"object","required":["productWarrantyUid","name","terms","createdBy","createdAt","lastModifiedBy","lastModifiedAt"],"properties":{"productWarrantyUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"terms":{"type":"string"},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedAt":{"type":"string","format":"date-time"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"requestBodies":{"ProductWarrantyUpdateRequest":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"terms":{"type":"string"}}}}}}}},"paths":{"/tenants/{tenantUid}/product-warranties/{productWarrantyUid}":{"put":{"summary":"Update product warranty terms","tags":["ProductWarranty"],"responses":{"200":{"$ref":"#/components/responses/ProductWarrantyResponse"}},"operationId":"put-product-warranty","description":"Update a product warranty terms.","requestBody":{"$ref":"#/components/requestBodies/ProductWarrantyUpdateRequest"}}}}}
```

## Delete product warranty terms

> Delete a product warranty terms.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductWarranty","description":"ProductWarranty"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/product-warranties/{productWarrantyUid}":{"delete":{"summary":"Delete product warranty terms","tags":["ProductWarranty"],"responses":{"204":{"description":"No Content"}},"operationId":"delete-product-warranty","description":"Delete a product warranty terms."}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/productwarranty.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
